IF OBJECT_ID ('V_EST_PROD_PRT_GVT') IS NOT NULL
BEGIN
	DROP VIEW V_EST_PROD_PRT_GVT
END

GO

CREATE VIEW 
	[dbo].[V_EST_PROD_PRT_GVT]
AS
SELECT     
	dbo.EST_PROD_PRT.CD_EMP, 
	dbo.EST_PROD_PRT.CD_PRT, 
	dbo.EST_PROD_GVT.CD_GVT, 
	dbo.EST_PROD_PRT.DS_PRT, 
    dbo.EST_PROD_GVT.DS_GVT,
	CASE WHEN  dbo.EST_PROD_PRT.CD_PRT = 0 THEN
		dbo.EST_PROD_PRT.DS_PRT + '.' + EST_PROD_GVT.DS_GVT
	ELSE
		dbo.EST_PROD_PRT.DS_PRT + '.' + REPLICATE (0,3- LEN(EST_PROD_GVT.DS_GVT)) + '' +  EST_PROD_GVT.DS_GVT   
	END AS ENDERECO,
	dbo.EST_PROD_PRT.FLAG_INTEGRACAO_ROBO
FROM         
	dbo.EST_PROD_PRT 
	INNER JOIN dbo.EST_PROD_GVT ON 
		dbo.EST_PROD_PRT.CD_EMP = dbo.EST_PROD_GVT.CD_EMP

